Class UmlBaseDestroyObjectAction

Declaration :

- C++ : class UmlBaseDestroyObjectAction : public UmlActivityAction
- Java : package abstract class UmlBaseDestroyObjectAction extends UmlActivityAction

Directly inherited by : UmlDestroyObjectAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new destroy object action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlDestroyObjectAction, exceptions : RuntimeException
- C++ : public: static UmlDestroyObjectAction * create(UmlItem * parent, const char * s)
- Java : public static UmlDestroyObjectAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseDestroyObjectAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseDestroyObjectAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseDestroyObjectAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseDestroyObjectAction(long id, String s)

Operation isDestroyLinks

return the return the isDestroyLinks attribute.

Declaration :

- Uml : + isDestroyLinks() : bool
- C++ : public: bool isDestroyLinks()
- Java : public boolean isDestroyLinks()

Operation set_isDestroyLinks

set the isDestroyLinks attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isDestroyLinks(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isDestroyLinks(bool v)
- Java : public void set_isDestroyLinks(boolean v) throws RuntimeException

Operation isDestroyOwnedObjects

return the return the isDestroyOwnedObjects attribute

Declaration :

- Uml : + isDestroyOwnedObjects() : bool
- C++ : public: bool isDestroyOwnedObjects()
- Java : public boolean isDestroyOwnedObjects()

Operation set_isDestroyOwnedObjects

set the isDestroyOwnedObjects attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isDestroyOwnedObjects(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isDestroyOwnedObjects(bool v)
- Java : public void set_isDestroyOwnedObjects(boolean v) throws RuntimeException

Attribute _links

Declaration :

- Uml : - _links : bool
- C++ : private: bool _links
- Java : private boolean _links

Attribute _owned_objects

Declaration :

- Uml : - _owned_objects : bool
- C++ : private: bool _owned_objects
- Java : private boolean _owned_objects

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isDestroyLinks , isDestroyOwnedObjects , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_Description , set_isDestroyLinks , set_isDestroyOwnedObjects , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload